
                                /*Wolfgang Rupp 17.11.2020
                                 *Dies ist ein Beispiel Sketch, um mit, über Arduino UNO , oder Nano usw
                                 *angeschlossenen  5 Momenttastern die den Variationen
                                 *zugehörigen Fills unabhängig von diesen Variationen auszulösen, ohne,
                                 *dass diese untereinander wechseln
                                 */

#include <midi.h>               // midi.h ist eine Library,die versetzt den Arduino in einer Art Midicontroller 
#include <avdweb_Switch.h>      // avdweb_Switch.h ist auch eine Library, die den gedrückten Taster präzise ausliest
                                // und dadurch ein sogenanntes Prellen des Taster verhindert



const byte SWITCH_1 = 2;                      // Switch_1 (Taster_1) an den Digital Pin 2 
const byte SWITCH_2 = 3;                      // Switch_2 (Taster_2) an den Digital Pin 3
const byte SWITCH_3 = 4;                      // Switch_3 (Taster_3) an den Digital Pin 4
const byte SWITCH_4 = 5;                      // Switch_4 (Taster_4) an den Digital Pin 5
const byte SWITCH_5 = 6;                      // Switch_5 (Taster_5) an den Digital Pin 6

const byte SEND_1[] = {201, 87};              // Das ist der zum Taster 1 zugehörige Midibefehl  
const byte SEND_2[] = {201, 88};              // sende den Wert 201, und 87   
const byte SEND_3[] = {201, 89};              // das heißt 201(Decimalzahl) steht für Midichannel 10
const byte SEND_4[] = {201, 90};              // und 87 (auch eine Decimalzahl)steht für Prgchange für Fill 1
const byte SEND_5[] = {201, 91};              // dem entsprechend werden alle verwendeten Taster hier eingetragen


Midi midi;
Switch switch_1 = Switch(SWITCH_1);  
Switch switch_2 = Switch(SWITCH_2);
Switch switch_3 = Switch(SWITCH_3);
Switch switch_4 = Switch(SWITCH_4);
Switch switch_5 = Switch(SWITCH_5);



void setup() {
  midi.initMidi();
  midi.sendMidiCommands(SEND_1, sizeof(SEND_1));

Serial.begin(31250);                          // Das ist die Ausgabe an die Midibuchse 
}

void loop() {

pollSwitches();                                 
  if (switch_1.pushed()) {
    midi.sendMidiCommands(SEND_1, sizeof(SEND_1));
}
  if (switch_2.pushed()) {
    midi.sendMidiCommands(SEND_2, sizeof(SEND_2));
}
  if (switch_3.pushed()) {
    midi.sendMidiCommands(SEND_3, sizeof(SEND_3));
}
  if (switch_4.pushed()) {
    midi.sendMidiCommands(SEND_4, sizeof(SEND_4));
}
  if (switch_5.pushed()) {
    midi.sendMidiCommands(SEND_5, sizeof(SEND_5));
}
}
void pollSwitches() {
  switch_1.poll();
  switch_2.poll();
  switch_3.poll();
  switch_4.poll();
  switch_5.poll();
}
